import 'dart:async';

import 'package:flutter/services.dart';

class FlutterGooglefit {
  static const MethodChannel _channel =
      const MethodChannel('com.dh/flutter_googlefit');

  static Future<bool> reqCheckPermissionGoogleFit() async {
    return await _channel.invokeMethod('reqCheckPermissionGoogleFit');
  }

  static Future<Null> reqPermissionGoogleFit() async {
    return await _channel.invokeMethod('reqPermissionGoogleFit');
  }

  static Future<Map<dynamic, dynamic>> reqTotalStepData(
      Map<String, dynamic> params) async {
    return await _channel.invokeMethod('reqTotalStepData', params);
  }
}
